public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-runc/
Date: Wed, 22 Nov 2017 14:49:44 +0000 (UTC)	[thread overview]
Message-ID: <1511362170.afad2ba57b6735cbbfabd1ed4cf0477b2d7e41e7.mrueg@gentoo> (raw)

commit:     afad2ba57b6735cbbfabd1ed4cf0477b2d7e41e7
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 22 14:49:30 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Nov 22 14:49:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afad2ba5

app-emulation/docker-runc: Add snapshot for docker-ce 17.11.0

Package-Manager: Portage-2.3.16, Repoman-2.3.6

 app-emulation/docker-runc/Manifest                 |  3 +-
 .../docker-runc-1.0.0_rc4_p20170926.ebuild         | 59 ++++++++++++++++++++++
 2 files changed, 61 insertions(+), 1 deletion(-)

diff --git a/app-emulation/docker-runc/Manifest b/app-emulation/docker-runc/Manifest
index 7b6ddb4e544..41aa5c1051e 100644
--- a/app-emulation/docker-runc/Manifest
+++ b/app-emulation/docker-runc/Manifest
@@ -1,2 +1,3 @@
 DIST docker-runc-1.0.0_rc3_p20170706.tar.gz 1042839 SHA256 d09b31b9a5adf0a3295d10b20e5f65ec8e1c52a371d463218694c37e075829e9 SHA512 8e937e8ccaa114913d61a450b030496668c1e2d80eecccf5e4914c5685d7dde9a0d50bc2aef9be844dc69eab81621aa1c043abbc72ba28ab6bdb9db5e86daeaf WHIRLPOOL bec7b506a6b2522d401733b32a9f500aec69920dc6d8072ab434c7bfbb1c88a6fb00afa1d2728f78fbaac1d58f890a2b5932fdbe2b0e87b749293f2b48ed2e8a
-DIST docker-runc-1.0.0_rc4_p20170917.tar.gz 1094599 SHA256 d5820f1c655061be79441bd57efea4e5b60b25b6a451214b64172395b9fda383 SHA512 0cb0748812296294a87dda257dbf0947897a1ada2aa861ff3e65309a6bbecebbe798929845fca6f23b66fd0dc019bca0a032737c7192fe20618d8e1849866f3d WHIRLPOOL ed34894a3878c0cae50888c936eba1dad8d58da8d7042d5e421f06e4e98c1d7701a5c877baaba14a46d588b2ee3354e19d72bb141d5d8e7f6c0bed2d3a6b71b6
+DIST docker-runc-1.0.0_rc4_p20170917.tar.gz 1094599 BLAKE2B fed7b3cb3bbf214c61f9bc84752f143de9f18aa1ad1720c80df171eaa82f545cdafdbd58f64ee21e05db67f7fcfa139622fc8356aa7584db87b72d46e3285907 SHA512 0cb0748812296294a87dda257dbf0947897a1ada2aa861ff3e65309a6bbecebbe798929845fca6f23b66fd0dc019bca0a032737c7192fe20618d8e1849866f3d
+DIST docker-runc-1.0.0_rc4_p20170926.tar.gz 1188421 BLAKE2B ba21aaed4c434358876e9a1656a0592e5df90e16ebd52b69a2ddd3344aba2db5e335de1c88aeed27101ec5441174da148d0da02ade0b517d36d45e0aff53ca9e SHA512 bad4643ce37dbba168cc3b0820cf7dc8166ff2d7970de519f86ca09123b59999174dd98b7bc550b714dc8235732923e0090031c789deb603f310e042a39f1d76

diff --git a/app-emulation/docker-runc/docker-runc-1.0.0_rc4_p20170926.ebuild b/app-emulation/docker-runc/docker-runc-1.0.0_rc4_p20170926.ebuild
new file mode 100644
index 00000000000..e87d7dd2df9
--- /dev/null
+++ b/app-emulation/docker-runc/docker-runc-1.0.0_rc4_p20170926.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/opencontainers/${PN/docker-}"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit golang-vcs
+else
+	MY_PV="${PV/_/-}"
+	EGIT_COMMIT="0351df1c5a66838d0c392b4ac4cf9450de844e2d"
+	RUNC_COMMIT="0351df1" # Change this when you update the ebuild
+	SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~ppc64"
+	inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="runc container cli tools (docker fork)"
+HOMEPAGE="http://runc.io"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+ambient apparmor hardened +seccomp"
+
+RDEPEND="
+	apparmor? ( sys-libs/libapparmor )
+	seccomp? ( sys-libs/libseccomp )
+	!app-emulation/runc
+"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+	sed -i -e "s/git rev-parse.*\$/echo gentoo)/" -e "/COMMIT :=/d" -e "/COMMIT_NO :=/d" Makefile || die
+}
+
+src_compile() {
+	# Taken from app-emulation/docker-1.7.0-r1
+	export CGO_CFLAGS="-I${ROOT}/usr/include"
+	export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')
+		-L${ROOT}/usr/$(get_libdir)"
+
+	# build up optional flags
+	local options=(
+		$(usex ambient 'ambient' '')
+		$(usex apparmor 'apparmor' '')
+		$(usex seccomp 'seccomp' '')
+	)
+
+	GOPATH="${WORKDIR}/${P}" emake BUILDTAGS="${options[*]}" \
+		COMMIT="${RUNC_COMMIT}"
+}
+
+src_install() {
+	dobin runc
+}


             reply	other threads:[~2017-11-22 14:49 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-22 14:49 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-05-16 10:33 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-runc/ Mikle Kolyada
2019-04-10  8:44 Manuel Rüger
2018-04-10  1:13 Manuel Rüger
2018-03-19 22:54 Manuel Rüger
2018-03-19 22:52 Manuel Rüger
2018-02-09 16:50 Manuel Rüger
2018-01-02 13:06 Manuel Rüger
2018-01-02 13:05 Manuel Rüger
2018-01-02 12:57 Manuel Rüger
2017-11-05 20:50 Manuel Rüger
2017-11-03 11:55 Manuel Rüger
2017-09-25 14:06 Manuel Rüger
2017-09-10 11:24 Manuel Rüger
2017-09-10 11:00 Manuel Rüger
2017-08-21 10:10 Manuel Rüger
2017-07-16 11:48 Manuel Rüger
2017-06-28 11:24 Manuel Rüger
2017-04-21 19:01 William Hubbs
2017-04-21 15:04 Manuel Rüger
2017-04-06 17:11 Manuel Rüger
2017-04-05 10:21 Michael Weber
2017-03-20 14:37 Manuel Rüger
2017-03-06 15:33 Manuel Rüger
2017-02-24 10:27 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1511362170.afad2ba57b6735cbbfabd1ed4cf0477b2d7e41e7.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox